# Copyright 2017, 2018, 2019 Cumulus Networks, Inc.  All Rights reserved.
#
# This software is subject to the Cumulus Networks End User License Agreement
# available at the following locations:
#
# Internet: https://cumulusnetworks.com/downloads/eula/latest/view/
# Cumulus Linux systems: /usr/share/cumulus/EULA.txt




def parse_rpm_output(cmd_out):
    version = None
    release = None

    lines = cmd_out.splitlines()

    for line in lines:
        if ':' not in line:
            continue

        words = line.split(':')

        if len(words) < 2:
            continue

        attr = words[0]
        value = words[1]

        if 'version' == str(attr).lower().strip():
            version = str(value).strip()

        if 'release' == str(attr).lower().strip():
            release = str(value).strip()

    if version and release:
        version = version + '-' + release
    elif version:
        version = version
    else:
        version = ''

    return version

def parse_dpkg_output(cmd_out):
    version = ''

    lines = cmd_out.splitlines()

    for line in lines:
        if ':' not in line:
            continue

        words = line.split(':')

        if len(words) < 2:
            continue

        attr = words[0]
        value = words[1]

        if 'version' == str(attr).lower().strip():
            version = str(value).strip()

    return version

def process_agent_version(cmd_out, platform, **kwargs):
    version = ''
    if 'rhel' in platform:
        version = parse_rpm_output(cmd_out)
    elif 'red hat' in platform:
        version = parse_rpm_output(cmd_out)
    elif 'centos' in platform:
        version = parse_rpm_output(cmd_out)
    else:
        version = parse_dpkg_output(cmd_out)

    return version

