# Copyright 2017 Cumulus Networks, Inc.  All Rights reserved.
#
# This software is subject to the Cumulus Networks End User License Agreement
# available at the following locations:
#
# Internet: https://cumulusnetworks.com/downloads/eula/latest/view/
# Cumulus Linux systems: /usr/share/cumulus/EULA.txt

import subprocess
from threading import Timer


class ReturnGroup:
    def __init__(self, **kwargs):
        self.__dict__.update(kwargs)


class return_group:
    def __init__(self, **kwargs):
        self.__dict__.update(kwargs)


class BaseRender(object):
    def __init__(self):
        self.model = None
        self.command = None

    def execute(self):
        raise NotImplementedError

    def parse(self, cmd_output, svc_failed=False, **kwargs):
        raise NotImplementedError

    # Utilites
    def run_command(self, cmd):
        try:
            proc = subprocess.Popen(cmd.split(), stdout=subprocess.PIPE, stderr=subprocess.PIPE)
            timer = Timer(2, proc.kill)
            try:
                timer.start()
                (out, err) = proc.communicate()
            finally:
                timer.cancel()
            if proc.returncode != 0:
                return return_group(success=False, op="")
            else:
                return return_group(success=True, op=out)
        except OSError:
            return return_group(success=False, op="")
