# Copyright 2019 Cumulus Networks, Inc.  All Rights reserved.
#
# This software is subject to the Cumulus Networks End User License Agreement
# available at the following locations:
#
# Internet: https://cumulusnetworks.com/downloads/eula/latest/view/
# Cumulus Linux systems: /usr/share/cumulus/EULA.txt

from netq_agent.parsers.common.dpkg import DpkgRender


class CumulusDpkgRender(DpkgRender):
    def __init__(self):
        super(CumulusDpkgRender, self).__init__()

    def get_os_version(self):
        clVersionResult = self.run_command("cat /etc/os-release")
        clVersion = "N/A"
        if clVersionResult.success and clVersionResult.op:
            for attribute in clVersionResult.op.decode().split("\n"):
                attributes = attribute.split("=")
                if(attributes[0] == "VERSION"):
                    clVersion = attributes[1]
        return clVersion.strip('\"')



def process_dpkg(cmd_output, svc_failed=False, **kwargs):
    render = CumulusDpkgRender()
    return render.parse(cmd_output, svc_failed, **kwargs)
