# Copyright 2017, 2018, 2019, 2020 Cumulus Networks, Inc.  All Rights reserved.
#
# This software is subject to the Cumulus Networks End User License Agreement
# available at the following locations:
#
# Internet: https://cumulusnetworks.com/downloads/eula/latest/view/
# Cumulus Linux systems: /usr/share/cumulus/EULA.txt

from netq_agent.parsers.common.ospf import OspfIfRender, OspfNbrRender

class CumulusOspfIfRender(OspfIfRender):
    def __init__(self):
        super(CumulusOspfIfRender, self).__init__()


def process_ospf_if(cmd_output, svc_failed=False, **kwargs):
    """Process OSPF interface info
    """
    render = CumulusOspfIfRender()
    return render.parse(cmd_output, svc_failed, **kwargs)


class CumulusOspfNbrRender(OspfNbrRender):
    def __init__(self):
        super(CumulusOspfNbrRender, self).__init__()


def process_ospf_neighbors(cmd_output, svc_failed=False, **kwargs):
    """Process OSPF neighbors info
    """
    render = CumulusOspfNbrRender()
    return render.parse(cmd_output, svc_failed, **kwargs)
