# Copyright 2017, 2018, 2019, 2020 Cumulus Networks, Inc.  All Rights reserved.
#
# This software is subject to the Cumulus Networks End User License Agreement
# available at the following locations:
#
# Internet: https://cumulusnetworks.com/downloads/eula/latest/view/
# Cumulus Linux systems: /usr/share/cumulus/EULA.txt

from netq_agent.parsers.common.systemctl import ServicesRender
from netq_lib.common.enums import (
    RunningService,
    CentosRunningService,
    RhelRunningService,
)

class CumulusServicesRender(ServicesRender):
    def __init__(self, logger):
        super(CumulusServicesRender, self).__init__(logger)

    @staticmethod
    def get_monitored_services():
        monitored_services = [
            RhelRunningService.NTP,
            RhelRunningService.CHRONY,
            CentosRunningService.NTP,
            CentosRunningService.CHRONY,
            RunningService.CHRONY,
            RunningService.NTP,
            RunningService.NETQD,
            RunningService.NETQAGENT,
            RunningService.NETQNOTIFIER
        ]
        return monitored_services


def process_systemctl(cmd_out, fullstate, logger):
    render = CumulusServicesRender(logger)
    render.parse(cmd_out, fullstate)
