# Copyright 2019 Cumulus Networks, Inc.  All Rights reserved.
#
# This software is subject to the Cumulus Networks End User License Agreement
# available at the following locations:
#
# Internet: https://cumulusnetworks.com/downloads/eula/latest/view/
# Cumulus Linux systems: /usr/share/cumulus/EULA.txt

from netq_agent.parsers.common.dpkg import DpkgRender


class SonicDpkgRender(DpkgRender):
    def __init__(self):
        super(SonicDpkgRender, self).__init__()

    def get_os_version(self):
        result = self.run_command("cat /etc/sonic/sonic_version.yml")
        version = "N/A"
        if result.success and result.op:
            for line in result.op.decode().split("\n"):
                if ':' not in line:
                    continue
                (key, value) = line.strip().split(':', 1)
                if key.lower() == 'kernel_version':
                    version = value.strip('"').strip(' ')
        return version


def process_dpkg(cmd_output, svc_failed=False, **kwargs):
    parser = SonicDpkgRender()
    return parser.parse(cmd_output, svc_failed, **kwargs)
