# Copyright 2017, 2018, 2019, 2020 Cumulus Networks, Inc.  All Rights reserved.
#
# This software is subject to the Cumulus Networks End User License Agreement
# available at the following locations:
#
# Internet: https://cumulusnetworks.com/downloads/eula/latest/view/
# Cumulus Linux systems: /usr/share/cumulus/EULA.txt

from netq_agent.parsers.common.systemctl import ServicesRender
from netq_lib.common.enums import (
    RunningService,
    SonicRunningService
)

class SonicServicesRender(ServicesRender):
    def __init__(self, logger):
        super(SonicServicesRender, self).__init__(logger)

    @staticmethod
    def get_monitored_services():
        monitored_services = [
            SonicRunningService.MGMT_FWK,
            SonicRunningService.TELEMETRY,
            SonicRunningService.SNMP,
            SonicRunningService.RADV,
            SonicRunningService.DHCP_RELAY,
            SonicRunningService.PMON,
            SonicRunningService.LLDP,
            SonicRunningService.SYNCD,
            SonicRunningService.TEAMD,
            SonicRunningService.SWSS,
            SonicRunningService.BGP,
            SonicRunningService.DATABASE,
            RunningService.NTP,
            RunningService.DOCKER,
            RunningService.NETQD,
            RunningService.NETQAGENT
        ]
        return monitored_services


def process_systemctl(cmd_out, fullstate, logger):
    render = SonicServicesRender(logger)
    render.parse(cmd_out, fullstate)
